| Bsoft 2.0.5 Bernard's software package

Public Member Functions | List of all members
Baxis Class Reference

`#include <Bplot.h>`

## Public Member Functions
| Baxis ()
long | which ()
void | which (long i)
Bstring & | label ()
void | label (const Bstring &s)
double | min ()
void | min (double v)
double | max ()
void | max (double v)
double | inc ()
void | inc (double v)
double * | color ()
void | color (double r, double g, double b)
long | flags ()
void | flags (long v)

## Detailed Description

Definition at line 15 of file Bplot.h.

## Constructor & Destructor Documentation

## ◆ Baxis()

Baxis::Baxis | ( |  | ) |
| inline

Definition at line 25 of file Bplot.h.

## Member Function Documentation

## ◆ color() [1/2]

double* Baxis::color | ( |  | ) |
| inline

Definition at line 36 of file Bplot.h.

## ◆ color() [2/2]

void Baxis::color | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |
| inline

Definition at line 37 of file Bplot.h.

## ◆ flags() [1/2]

long Baxis::flags | ( |  | ) |
| inline

Definition at line 38 of file Bplot.h.

## ◆ flags() [2/2]

void Baxis::flags | ( | long | v | ) |
| inline

Definition at line 39 of file Bplot.h.

## ◆ inc() [1/2]

double Baxis::inc | ( |  | ) |
| inline

Definition at line 34 of file Bplot.h.

## ◆ inc() [2/2]

void Baxis::inc | ( | double | v | ) |
| inline

Definition at line 35 of file Bplot.h.

## ◆ label() [1/2]

Bstring& Baxis::label | ( |  | ) |
| inline

Definition at line 28 of file Bplot.h.

## ◆ label() [2/2]

void Baxis::label | ( | const Bstring & | s | ) |
| inline

Definition at line 29 of file Bplot.h.

## ◆ max() [1/2]

double Baxis::max | ( |  | ) |
| inline

Definition at line 32 of file Bplot.h.

## ◆ max() [2/2]

void Baxis::max | ( | double | v | ) |
| inline

Definition at line 33 of file Bplot.h.

## ◆ min() [1/2]

double Baxis::min | ( |  | ) |
| inline

Definition at line 30 of file Bplot.h.

## ◆ min() [2/2]

void Baxis::min | ( | double | v | ) |
| inline

Definition at line 31 of file Bplot.h.

## ◆ which() [1/2]

long Baxis::which | ( |  | ) |
| inline

Definition at line 26 of file Bplot.h.

## ◆ which() [2/2]

void Baxis::which | ( | long | i | ) |
| inline

Definition at line 27 of file Bplot.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/Bplot.h